## NAME

CURLOPT_VERBOSE - set verbose mode on/off

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_VERBOSE, long onoff);

## DESCRIPTION

Set the onoff parameter to 1 to make the library display a lot of verbose information about its operations on this handle. Very useful for libcurl and/or protocol debugging and understanding. The verbose information will be sent to stderr, or the stream set with CURLOPT_STDERR.

You hardly ever want this set in production use, you will almost always want this when you debug/report problems.

To also get all the protocol data sent and received, consider using the CURLOPT_DEBUGFUNCTION.

## DEFAULT

0, meaning disabled.

## RETURN VALUE

Returns CURLE_OK.

## SEE ALSO

CURLOPT_STDERR CURLOPT_DEBUGFUNCTION

This HTML page was made with roffit.